mirror of
git://git.openembedded.org/meta-openembedded
synced 2026-05-21 14:29:41 +00:00
mcelog: update from 175 to 180
The patch has been merged upstream so drop it: f922739 test: avoid the pfa test hang A LICENSE file was added, with the same terms, so update the file and checksum. Change the HOMEPAGE link to https. Signed-off-by: Randy MacLeod <Randy.MacLeod@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
This commit is contained in:
parent
11fa965565
commit
825cd36797
@ -1,36 +0,0 @@
|
||||
From 3765b3a4cabf76f55c1c126ac64780a8c117d1d9 Mon Sep 17 00:00:00 2001
|
||||
From: Mingli Yu <mingli.yu@windriver.com>
|
||||
Date: Tue, 12 Jan 2021 10:30:13 +0800
|
||||
Subject: [PATCH] test: avoid the pfa test hang
|
||||
|
||||
Per [1], the pfa test needs to install page-types and the pfa test
|
||||
will hang forever if there is no page-types installed.
|
||||
|
||||
Improve the test script to avoid the pfa test hang.
|
||||
|
||||
[1] https://git.kernel.org/pub/scm/utils/cpu/mce/mcelog.git/tree/tests/pfa/PFA_test_howto?id=7b776a8c005b60572f49797e81287540f99fff1f
|
||||
|
||||
Upstream-Status: Submitted [https://github.com/andikleen/mcelog/pull/87]
|
||||
|
||||
Signed-off-by: Mingli Yu <mingli.yu@windriver.com>
|
||||
---
|
||||
tests/test | 3 +++
|
||||
1 file changed, 3 insertions(+)
|
||||
|
||||
diff --git a/tests/test b/tests/test
|
||||
index 020ae2b..320f57f 100755
|
||||
--- a/tests/test
|
||||
+++ b/tests/test
|
||||
@@ -47,6 +47,9 @@ do
|
||||
# Inject mce records and run mcelog in parallel.
|
||||
# So that the mce records can be consumed by mcelog in time (avoid mce record overflow).
|
||||
./inject $conf &
|
||||
+ if [ "$1" = "pfa" ] ; then
|
||||
+ which page-types > /dev/null 2>&1 || continue
|
||||
+ fi
|
||||
$D ../../mcelog --foreground --daemon --debug-numerrors --config $conf --logfile $log >> result
|
||||
|
||||
# let triggers finish
|
||||
--
|
||||
2.29.2
|
||||
|
||||
@ -2,18 +2,17 @@ SUMMARY = "mcelog daemon accounts memory and some other errors in various ways."
|
||||
DESCRIPTION = "mcelog is required by both 32bit x86 Linux kernels (since 2.6.30) \
|
||||
and 64bit Linux kernels (since early 2.6 kernel releases) to log machine checks \
|
||||
and should run on all Linux systems that need error handling."
|
||||
HOMEPAGE = "http://mcelog.org/"
|
||||
HOMEPAGE = "https://mcelog.org/"
|
||||
SECTION = "System Environment/Base"
|
||||
|
||||
SRC_URI = "git://git.kernel.org/pub/scm/utils/cpu/mce/mcelog.git;protocol=http;;branch=master \
|
||||
file://0001-test-avoid-the-pfa-test-hang.patch \
|
||||
file://run-ptest \
|
||||
"
|
||||
|
||||
SRCREV = "7b776a8c005b60572f49797e81287540f99fff1f"
|
||||
SRCREV = "4146c9296a0cbd26f1c5e411cb44877f350053bd"
|
||||
|
||||
LICENSE = "GPL-2.0-only"
|
||||
LIC_FILES_CHKSUM = "file://README.md;md5=74bb47b9a68850cb398665cf78b31de6"
|
||||
LIC_FILES_CHKSUM = "file://LICENSE;md5=b234ee4d69f5fce4486a80fdaf4a4263"
|
||||
|
||||
S = "${WORKDIR}/git"
|
||||
|
||||
Loading…
x
Reference in New Issue
Block a user